<html devsite><head>
    <title>Nexus 安全性公告 - 2015 年 8 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2015 年 8 月 13 日</em></p>

<p>Google 已根據 Android 安全性公告每月發佈程序，透過 OTA 更新機制發佈了 Nexus 裝置的安全性更新。此外，Nexus 韌體映像檔也已經發佈到 <a href="https://developers.google.com/android/nexus/images">Google Developers 網站</a>上。LMY48I 以上版本已解決了這些問題。合作夥伴是在 2015 年 6 月 25 日或之前收到有關這些問題的通知。</p>

<p>在這些問題中，最嚴重的就是「最高」等級的安全性漏洞。當系統執行媒體檔案時，遠端程式碼可利用這類漏洞，透過電子郵件、網頁瀏覽活動和多媒體訊息等方法，自動在受影響的裝置上執行。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被停用，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，裝置會受到多大的影響，據此評定漏洞的嚴重程度。</p>

<h2 id="mitigations">因應措施</h2>

<p>本節概述 <a href="/security/enhancements/index.html">Android 安全性平台</a>和 SafetyNet 等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。</p>

<ul>
  <li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。
  </li><li>Android 安全性小組採用「驗證應用程式」和 SafetyNet 主動監控濫用情形，這些功能果發現應用程式可能有害，將在安裝作業前發出警告。Google Play 禁止發佈任何可用於獲取裝置 Root 權限的工具。為了保護不是在 Google Play 安裝應用程式的使用者，「驗證應用程式」在預設狀態下會自動啟用並向使用者發出警告，提醒他們留意目前已知的破解程式 (用於取得 Root 權限的應用程式)。「驗證應用程式」會盡可能找出已知會利用權限升級漏洞的惡意應用程式，並封鎖這類應用程式的安裝程序。如果使用者已安裝這類應用程式，「驗證應用程式」會通知使用者，並嘗試移除該應用程式。
  </li><li>在適用情況下，Google 已更新 Hangouts 和 Messenger 應用程式，讓系統不會自動將媒體內容傳送給媒體伺服器這類有漏洞的處理程序。
</li></ul>

<h2 id="acknowledgements">特別銘謝</h2>

<p>感謝以下研究人員做出的貢獻：</p>

<ul>
  <li>Joshua Drake：CVE-2015-1538、CVE-2015-3826
  </li><li>Ben Hawkes：CVE-2015-3836
  </li><li>Alexandru Blanda：CVE-2015-3832
  </li><li>Michał Bednarski：CVE-2015-3831、CVE-2015-3844、CVE-2015-1541
  </li><li>Alex Copot：CVE-2015-1536
  </li><li>Alex Eubanks：CVE-2015-0973
  </li><li>Roee Hay 和 Or Peles：CVE-2015-3837
  </li><li>Guang Gong：CVE-2015-3834
  </li><li>Gal Beniamini：CVE-2015-3835
  </li><li>Wish Wu*：CVE-2015-3842
  </li><li>Artem Chaykin：CVE-2015-3843
</li></ul>

<p>*Wish 同時是我們 <a href="https://www.google.com/about/appsecurity/android-rewards/">Android 安全性維護獎</a>的首位得獎者！</p>

<h3 id="integer_overflows_during_mp4_atom_processing">MP4 Atom 處理程序中的整數溢位現象</h3>

<p>libstagefright 中有數種可能會在 MP4 Atom 處理期間發生的整數溢位現象，這些現象會造成記憶體損毀，且可能會讓遠端程式碼當做媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-1538</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/cf1581c66c2ad8c5b1aaca2e43e350cf5974f46d">ANDROID-20139950</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/2434839bbd168469f80dd9a22f1328bc81046398">2</a>]</td>
    <td>最高</td>
    <td>5.1 以下版本</td>
 </tr>
</tbody></table>

<h3 id="an_integer_underflow_in_esds_processing">ESDS 處理程序中的整數溢位現象</h3>

<p>libstagefright 中有一種可能會在 ESDS Atom 處理期間發生的整數溢位現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-1539</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/5e751957ba692658b7f67eb03ae5ddb2cd3d970c">ANDROID-20139950</a></td>
    <td>最高</td>
    <td>5.1 以下版本</td>
 </tr>
</tbody></table>

<h3 id="integer_overflow_in_libstagefright_when_parsing_the_mpeg4_tx3g_atom">解析 MPEG4 tx3g Atom 時 libstagefright 中的整數溢位現象</h3>

<p>libstagefright 中有一種可能會在 MPEG4 tx3g 資料處理期間發生的整數溢位現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。</p>

<p>請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3824</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/463a6f807e187828442949d1924e143cf07778c6">ANDROID-20923261</a> </td>
    <td>最高</td>
    <td>5.1 以下版本</td>
 </tr>
</tbody></table>

<h3 id="integer_underflow_in_libstagefright_when_processing_mpeg4_covr_atoms">處理 MPEG4 covr Atom 時 libstagefright 中的整數下溢現象</h3>

<p>libstagefright 中有一種可能會在 MPEG4 資料處理期間發生的整數下溢現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。</p>

<p>請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3827</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f4a88c8ed4f8186b3d6e2852993e063fc33ff231">ANDROID-20923261</a></td>
    <td>最高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="integer_underflow_in_libstagefright_if_size_is_below_6_while_processing_3gpp_metadata">處理 3GPP 中繼資料時因尺寸小於 6 而導致 libstagefright 中產生
整數下溢現象</h3>

<p>libstagefright 中有一種可能會在 3GPP 資料處理期間發生的整數
下溢現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做
媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多款應用程式
都允許遠端內容連到這項功能，其中最常見的內容是多媒體
訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3828</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f4f7e0c102819f039ebb1972b3dba1d3186bc1d1">ANDROID-20923261</a></td>
    <td>最高</td>
    <td>5.0 及以上版本</td>
 </tr>
</tbody></table>

<h3 id="integer_overflow_in_libstagefright_processing_mpeg4_covr_atoms_when_chunk_data_size_is_size_max">libstagefright 處理 MPEG4 covr Atom 時因 chunk_data_size 等於 SIZE_MAX 而
產生整數溢位現象</h3>

<p>libstagefright 中有一種可能會在 MPEG4 covr 資料處理期間發生的整數
溢位現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做
媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多款應用程式
都允許遠端內容連到這項功能，其中最常見的內容是多媒體
訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3829</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/2674a7218eaa3c87f2ee26d26da5b9170e10f859">ANDROID-20923261</a></td>
    <td>最高</td>
    <td>5.0 及以上版本</td>
 </tr>
</tbody></table>

<h3 id="buffer_overflow_in_sonivox_parse_wave">Sonivox Parse_wave 中的緩衝區溢位現象</h3>

<p>Sonivox 中有一種可能會在 XMF 資料處理期間發生的緩衝區
溢位現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做
媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多款應用程式
都允許遠端內容連到這項功能，其中最常見的內容是多媒體
訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方應用程式一般無法存取的權限)。請注意，依據舊版的嚴重程度評定規範，這項漏洞的嚴重程度被評定為「高」，並已據此回報給合作夥伴，但依據我們 2015 年 6 月發佈的新版規範，這項漏洞屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3836</td>
    <td><a href="https://android.googlesource.com/platform/external/sonivox/+/e999f077f6ef59d20282f1e04786816a31fb8be6">ANDROID-21132860</a></td>
    <td>最高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="buffer_overflows_in_libstagefright_mpeg4extractor_cpp">libstagefright MPEG4Extractor.cpp 中的緩衝區溢位現象</h3>

<p>Sonivox 中有數種可能會在 MP4 處理期間發生的緩衝區溢位
現象，這些現象會造成記憶體損毀，且可能會讓遠端程式碼當做
媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多款應用程式
都允許遠端內容連到這項功能，其中最常見的內容是多媒體
訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼當做獲得授權的服務來執行，因此嚴重程度被評定為「最高」。儘管媒體伺服器
會受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，
以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是
第三方應用程式一般無法存取的權限)。</p>

<p>這個問題初步被通報為本機漏洞 (無法透過遠端存取)。
請注意，依據舊版的嚴重程度評定規範，這項漏洞被評定為
「中」的影響程度，並已據此回報給合作夥伴。但依據
我們 2015 年 6 月發佈的新版規範，這項漏洞卻屬於「最高」等級的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3832</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/d48f0f145f8f0f4472bc0af668ac9a8bce44ba9b">ANDROID-19641538</a></td>
    <td>最高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="buffer_overflow_in_mediaserver_bpmediahttpconnection">媒體伺服器 BpMediaHTTPConnection 中的緩衝區溢位現象</h3>

<p>在處理其他應用程式所提供的資料時，BpMediaHTTPConnection 可能會發生一種緩衝區溢位現象，這種現象會造成記憶體損毀，且可能會讓遠端程式碼當做媒體伺服器處理程序執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用。我們認為
這個問題無法被遠端程式惡意運用。</p>

<p>由於這個問題可能會讓攻擊者透過本機應用程式執行程式碼，當做
獲得授權的媒體伺服器服務，因此被評定為「高」的影響程度。儘管
媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊
串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是
第三方應用程式一般無法存取的權限)。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3831</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/51504928746edff6c94a1c498cf99c0a83bedaed">ANDROID-19400722</a></td>
    <td>高</td>
    <td>5.0 和 5.1</td>
 </tr>
</tbody></table>

<h3 id="vulnerability_in_libpng_overflow_in_png_read_idat_data">libpng 中的漏洞：png_Read_IDAT_data 中的溢位現象</h3>

<p>在 libpng 中讀取 png_read_IDAT_data() 函式內的 IDAT 資料
時，可能會發生緩衝區溢位的現象，這種現象會造成記憶體
毀損，且可能會讓遠端程式碼在使用這個方法的應用程式內
執行。</p>

<p>受影響的功能是以應用程式 API 形式提供使用，而多款應用程式
都允許遠端內容連到這項功能，其中最常見的內容是簡訊應用
程式和瀏覽器。</p>

<p>由於這個問題可能會讓遠端程式碼當做未獲授權的
應用程式執行，因此被評定為「高」的影響程度。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-0973</td>
    <td><a href="https://android.googlesource.com/platform/external/libpng/+/dd0ed46397a05ae69dc8c401f5711f0db0a964fa">ANDROID-19499430</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="remotely_exploitable_memcpy_overflow_in_p2p_add_device_in_wpa_supplicant">wpa_supplicant 中 p2p_add_device() 的 memcpy() 溢位現象可供遠端程式惡意運用</h3>

<p>當 wpa_supplicant 在 WLAN Direct 模式中運作時，可能會因為 p2p_add_device() 方法中的溢位現象，造成可讓遠端程式碼執行
的漏洞。如果這個漏洞遭到運用，就會讓攻擊者以 Android 中「Wifi」使用者
的身分執行程式碼。</p>

<p>以下幾種情況會減輕攻擊者利用此一漏洞所造成的影響：</p>

<p>- 在多數 Android 裝置上，並未預設啟用 WLAN Direct</p>

<p>- 攻擊者必須處於接近的位置 (在 WiFi 範圍內)，才能順利運用這個問題</p>

<p>- wpa_supplicant 程序以「Wifi」使用者的身分執行，但這種身分對系統
的存取權有限</p>

<p>- 搭載 Android 4.1 及以上版本的裝置所提供的位址空間配置隨機載入 (ASLR) 機制
可防範來自遠端的漏洞攻擊行為</p>

<p>- 在 Android 5.0 及以上版本的 SELinux 政策中，針對 wpa_supplicant 程序
設有嚴格限制</p>

<p>由於這個問題可能會讓遠端程式碼順利執行，因此被評定為「高」的影響程度。儘管「Wifi」服務確實具有第三方應用程式通常無法
存取的功能，所以這個問題的嚴重性有被判定為「最高」的空間，
我們仍然認為這類功能與因應措施足以讓嚴重程度降到「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-1863</td>
    <td><a href="https://android.googlesource.com/platform/external/wpa_supplicant_8/+/4cf0f2d0d869c35a9ec4432861d5efa8ead4279c">ANDROID-20076874</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="memory_corruption_in_opensslx509certificate_deserialization">OpenSSLX509Certificate 反序列化程序中的記憶體毀損</h3>

<p>惡意的本機應用程式可以傳送一個意圖 (Intent)，在接收的應用程式對此意圖執行
反序列化程序時，可針對任意的記憶體位址值進行減量，這會造成記憶體毀損，
並可能會在接收的應用程式內執行程式碼。</p>

<p>由於這個問題可被利用來取得第三方應用程式無法存取的
權限，因此被評定為「高」的影響程度。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3837</td>
    <td><a href="https://android.googlesource.com/platform/external/conscrypt/+/edf7055461e2d7fa18de5196dca80896a56e3540">ANDROID-21437603</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="buffer_overflow_in_mediaserver_bnhdcp">媒體伺服器 BnHDCP 中的緩衝區溢位現象</h3>

<p>在處理其他應用程式所提供的資料時，libstagefright 可能會發生一種整數溢位現象，這種現象會造成記憶體 (堆積) 損毀，且可能會讓程式碼當做媒體伺服器處理程序執行。</p>

<p>由於這個問題可用於取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「高」。儘管媒體伺服器會
受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及
在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方
應用程式一般無法存取的權限)。</p>

<p>
請注意，依據舊版的嚴重程度評定規範，這項漏洞被評定為
「中」的影響程度，並已據此回報給合作夥伴。但依據
我們 2015 年 6 月發佈的新版規範，這項漏洞卻屬於「高」的嚴重等級。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3834</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c82e31a7039a03dca7b37c65b7890ba5c1e18ced">ANDROID-20222489</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="buffer_overflow_in_libstagefright_omxnodeinstance_emptybuffer">libstagefright OMXNodeInstance::emptyBuffer 中的緩衝區溢位現象</h3>

<p>在處理其他應用程式所提供的資料時，libstagefright 可能會發生一種緩衝區溢位現象，這種現象會造成記憶體損毀，且可能會讓程式碼當做媒體伺服器處理程序執行。</p>

<p>由於這個問題可用於取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「高」。儘管媒體伺服器會
受到 SELinux 保護，但它確實能夠存取音訊和視訊串流，以及
在許多裝置上獲得授權的核心驅動程式裝置節點 (這是第三方
應用程式一般無法存取的權限)。</p>

<p>
請注意，依據舊版的嚴重程度評定規範，這項漏洞被評定為
「中」的影響程度，並已據此回報給合作夥伴。但依據
我們 2015 年 6 月發佈的新版規範，這項漏洞卻屬於「高」的嚴重等級。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3835</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/086d84f45ab7b64d1a7ed7ac8ba5833664a6a5ab">ANDROID-20634516</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/3cb1b6944e776863aea316e25fdc16d7f9962902">2</a>]</td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="heap_overflow_in_mediaserver_audiopolicymanager_getinputforattr">媒體伺服器 AudioPolicyManager::getInputForAttr() 中的堆積溢位現象</h3>

<p>媒體伺服器的「音訊政策服務」中有堆積溢位的現象，這種現象
可讓本機應用程式在媒體伺服器處理程序中任意執行程式碼。</p>

<p>受影響的功能是以應用程式 API 形式提供使用。我們認為
這個問題無法被遠端程式惡意運用。</p>

<p>由於這個問題可能會讓攻擊者透過本機應用程式執行程式碼，當做
獲得授權的媒體伺服器服務，因此被評定為「高」的影響程度。儘管
媒體伺服器會受到 SELinux 保護，但它確實能夠存取音訊和視訊
串流，以及在許多裝置上獲得授權的核心驅動程式裝置節點 (這是
第三方應用程式一般無法存取的權限)。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3842</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/aeea52da00d210587fb3ed895de3d5f2e0264c88">ANDROID-21953516</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="applications_can_intercept_or_emulate_sim_commands_to_telephony">應用程式可攔截或模擬對電話通訊系統發出的 SIM 指令</h3>

<p>SIM 工具包 (STK) 架構中的漏洞可讓應用程式攔截或
模擬對 Android 電話通訊子系統發出的特定 STK SIM
 指令。</p>

<p>由於這個問題可讓未獲授權的應用程式存取通常由
「簽署」或「系統」等級權限保護的功能或資料，因此
被評定為「高」的 影響程度。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3843</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/b48581401259439dc5ef6dcf8b0f303e4cbefbe9">ANDROID-21697171</a> [<a href="https://android.googlesource.com/platform/packages/apps/Stk/+/1d8e00160c07ae308e5b460214eb2a425b93ccf7">2</a>、<a href="https://android.googlesource.com/platform/frameworks/base/+/a5e904e7eb3aaec532de83ca52e24af18e0496b4">3</a>、<a href="https://android.googlesource.com/platform/packages/services/Telephony/+/fcb1d13c320dd1a6350bc7af3166929b4d54a456">4</a>]</td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="vulnerability_in_bitmap_unmarshalling">點陣圖解組程序中的漏洞</h3>

<p>Bitmap_createFromParcel() 中的整數溢位現象，可讓應用程式
破壞 system_server 程序或從 system_server 讀取記憶體資料。</p>

<p>由於這個問題可能會透過 system_server 程序，將敏感資料洩露
給未獲授權的本機程序，因此被評定為「中」的影響程度。
儘管這類型的漏洞通常會被評定為「高」的嚴重
程度，但由於攻擊程序無法控制成功攻擊所洩露
的資料，而攻擊失敗的結果會顯示裝置暫時無法
使用 (必須重新開機)，因此嚴重程度已
降低。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-1536</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/d44e5bde18a41beda39d49189bef7f2ba7c8f3cb">ANDROID-19666945</a></td>
    <td>中</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="appwidgetserviceimpl_can_create_intentsender_with_system_privileges">AppWidgetServiceImpl 可利用系統權限建立 IntentSender</h3>

<p>「設定」應用程式的 AppWidgetServiceImpl 中有一項漏洞，讓
應用程式可透過指定 FLAG_GRANT_READ/WRITE_URI_PERMISSION 的
方式，授予自身某項 URI 權限。舉例來說，這可被惡意運用於未
獲得 READ_CONTACTS 權限的情況下讀取聯絡人資料。</p>

<p>由於這項漏洞可讓本機應用程式存取通常由「危險」
保護等級權限保護的資料，因此被評等為「中」的
影響程度。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-1541</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/0b98d304c467184602b4c6bce76fda0b0274bc07">ANDROID-19618745</a></td>
    <td>中</td>
    <td>5.1</td>
 </tr>
</tbody></table>

<h3 id="mitigation_bypass_of_restrictions_on_getrecenttasks">規避 getRecentTasks() 相關限制的因應措施</h3>

<p>本機應用程式可確實決定前景應用程式，同時
規避 Android 5.0 中推出的 getRecentTasks() 相關限制。</p>

<p>由於這項漏洞可讓本機應用程式存取通常由「危險」保護等級權限保護的資料，因此被評等為「中」的影響程度。</p>

<p>我們相信這項漏洞是在以下網頁被首次公開描述：<a href="http://stackoverflow.com/questions/24625936/getrunningtasks-doesnt-work-in-android-l">Stack Overflow</a>。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3833</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/aaa0fee0d7a8da347a0c47cef5249c70efee209e">ANDROID-20034603</a></td>
    <td>中</td>
    <td>5.0 和 5.1</td>
 </tr>
</tbody></table>

<h3 id="activitymanagerservice_getprocessrecordlocked_may_load_a_system_uid_application_into_the_wrong_process">ActivityManagerService.getProcessRecordLocked() 會將系統 UID
應用程式載入錯誤的程序中</h3>

<p>ActivityManager 的 getProcessRecordLocked() 方法並未正確驗證
應用程式的程序名稱是否與對應的套件名稱相符。在某些情況下，
這項漏洞可讓 ActivityManager 針對特定工作載入錯誤的
程序。</p>

<p>這項漏洞的影響包括，應用程式可阻止系統載入「設定」，
或是為「設定」片段注入參數。我們認為這項
漏洞無法被利用來以「系統」使用者的身分任意執行程式碼。</p>

<p>儘管這項漏洞可讓應用程式存取通常只有「系統」可存取的功能，
因而一般會被評定為「高」的影響程度，但由於此漏洞所授予的
存取權等級有限，因此我們仍將它評定為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3844</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e3cde784e3d99966f313fe00dcecf191f6a44a31">ANDROID-21669445</a></td>
    <td>中</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="unbounded_buffer_read_in_libstagefright_while_parsing_3gpp_metadata">解析 3GPP 中繼資料時 libstagefright 中的緩衝區讀取未設界限</h3>

<p>在解析 3GPP 資料的過程中發生整數下溢現象，可能會導致讀取作業
越過緩衝區，進而造成媒體伺服器當機。</p>

<p>這個問題原本被評定為「高」的影響程度，並已據此回報給合作夥伴，
但在進一步調查後，嚴重程度已降級至「低」，原因是其影響僅限於
讓媒體伺服器當機。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3826</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f4f7e0c102819f039ebb1972b3dba1d3186bc1d1">ANDROID-20923261</a></td>
    <td>低</td>
    <td>5.0 和 5.1</td>
 </tr>
</tbody></table>

<h2 id="revisions">修訂版本</h2>

<ul>
  <li> 2015 年 8 月 13 日：原始發佈日期

</li></ul></body></html>